Ddeml.MONMSGSTRUCT (JNA API)

com.sun.jna.platform.win32

## Class Ddeml.MONMSGSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.MONMSGSTRUCT

- Enclosing interface:
    Ddeml

      @Structure.FieldOrder(value={"cb","hwndTo","dwTime","hTask","wMsg","wParam","lParam","dmhd"})
      public static class Ddeml.MONMSGSTRUCT
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cb` The structure's size, in bytes.
    `Ddeml.DDEML_MSG_HOOK_DATA` | `dmhd` Additional information about the DDE message.
    `int` | `dwTime` The Windows time at which the message was sent or posted.
    `WinNT.HANDLE` | `hTask` A handle to the task (application instance) containing the window that receives the DDE message.
    `WinDef.HWND` | `hwndTo` A handle to the window that receives the DDE message.
    `WinDef.LPARAM` | `lParam` The lParam parameter of the DDE message.
    `int` | `wMsg` The identifier of the DDE message.
    `WinDef.WPARAM` | `wParam` The wParam parameter of the DDE message.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MONMSGSTRUCT()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cb

          public int cb

      The structure's size, in bytes.

    - #### hwndTo

          public WinDef.HWND hwndTo

      A handle to the window that receives the DDE message.

    - #### dwTime

          public int dwTime

      The Windows time at which the message was sent or posted. Windows time is the number of milliseconds that have elapsed since the system was booted.

    - #### hTask

          public WinNT.HANDLE hTask

      A handle to the task (application instance) containing the window that receives the DDE message.

    - #### wMsg

          public int wMsg

      The identifier of the DDE message.

    - #### wParam

          public WinDef.WPARAM wParam

      The wParam parameter of the DDE message.

    - #### lParam

          public WinDef.LPARAM lParam

      The lParam parameter of the DDE message.

    - #### dmhd

          public Ddeml.DDEML_MSG_HOOK_DATA dmhd

      Additional information about the DDE message.

  - ### Constructor Detail

    - #### MONMSGSTRUCT

          public MONMSGSTRUCT()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.